
set frame HTTPD
set frametitle "HTTPD Server"
set icontitle "HTTPD"

set  httpdstarted 0

proc make-frame {} {
   global env

set rows 6
set cols 90

  :frame [self frame-name] :label "[self frame-title]"  :icon-name "[self icon-title]"

  :panel P1 :layout V :padx 20
    :layout H; :col-gap 20
     :button LOAD :label "Load source file" :command click_load
     :button CLEAR :command ":modify LIST :empty T"

  :panel P2 :layout V
    :galley LIST :rows $rows :cols $cols :deaf T  :font variable

   open-frame

  :galley_size LIST $rows $cols
}

proc click-configure {W} {:galley_resize LIST}

proc click_load {} {midas-browser R do_load}

proc do_load {args} {
   upvar #0 browserdirectory directory
   upvar #0 browserfile file

   set f [file join $directory $file]
   InsertLog "loading $f"
   set z [catch {source $f} m]
   if {$z != 0} then {InsertLog "$m"}
}

proc InsertLog {s} {
    global httpdstarted
    if {$httpdstarted == 1} {:modify LIST :strings $s\n} else {puts $s}
}

proc start args {
   global httpdstarted env
   upvar #0 browserdirectory directory

   if {$httpdstarted == 0} then {
#      make-frame
      set httpdstarted 1  
      set directory [file join $env(MIDASBASE) TclHttpd tcl]
   } else {
#      open-frame
   }
}

set argv "-debug 1 -port 8115"
cd [file join $env(MIDASBASE) TclHttpd bin]
source httpd_Server.tcl

  Setting BGColor "BlanchedAlmond"
  Setting TextColor "red"

  Setting ProjectName GREAT/SAGE
  Setting ProjectImage Great.jpg

package require SageRunControl

unset started
